Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# markup.hh File Reference

A C++ interface for GMarkupParser and GMarkupParseContext. More...

`#include <xfc/object.hh>`
`#include <xfc/utfstring.hh>`
`#include <glib/gmarkup.h>`
`#include <map>`
`#include <xfc/glib/inline/markup.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::MarkupParser
    A GMarkupParser C++ wrapper interface. More...
- class Xfc::G::MarkupParseContext
    A GMarkupParseContext C++ wrapper interface. More...

## Detailed Description

A C++ interface for GMarkupParser and GMarkupParseContext.

Provides a simple XML Subset Parser that parses a subset of XML.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3